# WP Canvas - Shortcodes #

**Contributors:** cbaldelomar  
**Donate link:** http://webplantmedia.com/donate/
**Tags:** shortcode, shortcodes, accordion, accordions, tab, tabs, toggle, columns, column, section, sections, testimonials, border, borders, button, buttons, fullwidth, full width, notification, notifications, google maps, maps, googlemaps, social icons, progress bar, pricing, pricing box, highlights, image, flags, banners, countdown, rsvp, custom html, code, code snippets, snippets, isotope, masonry, posts, post_type, font awesome, icons, fontawesome, fa icons
**Requires at least:** 3.7  
**Tested up to:** 3.9
**Stable tag:** trunk  
**License:** GPLv2 or later  
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html  

A family of shortcodes to enhance your site functionality. 

## Description ##

Enhance your pages and posts with the following features.

* Accordion
* Tabs
* Toggle
* Columns & Sections
* Testimonials
* Borders
* Buttons
* Full Width
* Notifications
* Google Maps
* Social Icons
* Progress Bars
* Pricing
* Images with Flags
* Highlights
* Countdown
* RSVP
* Custom HTML
* Code Snippets
* Isotope / Masonry Posts
* Font Awesome Icons

[Live Demo & Documentation](http://wordpresscanvas.com/features/shortcodes/)

### Professional Support

If you need professional plugin support from me, the plugin author, you can contact me at [WordPress Canvas](http://wordpresscanvas.com/).

### Plugin Development

If you're a theme author, plugin author, or just a code hobbyist, you can follow the development of this plugin on it's [GitHub repository](https://github.com/webplantmedia/wc-shortcodes). 

### Donations

Thank you so much for even considering supporting my work. If you have benefited from my WordPress plugins, or are appreciative of my customer support, and feel led to send me a monetary donation, please follow the link [here](http://webplantmedia.com/donate/). I am truly thankful for your hard earned giving.

## Installation ##

1. Uzip the `wc-shortcodes.zip` folder.
2. Upload the `wc-shortcodes` folder to your `/wp-content/plugins` directory.
3. In your WordPress dashboard, head over to the *Plugins* section.
4. Activate *WordPress Canvas Shortcodes*.

## Frequently Asked Questions ##

### How do I use the shortcodes?

Use the shortcode manager in the TinyMCE text editor

## Changelog ##

### Version 1.37

* Fixed bug with google maps not working

### Version 1.36

* switched out isotope library with open source masonry library
* Increased number of pagination buttons

### Version 1.35

* wc_box short code needed line breaks inserted
* update to image flag short code
* changed name
* added more options to image shortcode
* removed unnecessary short code parameters from accordion
* fixed style bug before accordion js was loaded
* isotope appear and animation enabled after initial load.

### Version 1.34

* Updated plugin to be compatible with version 3.9
* Added bottom margin to column sections when in responsive mode

### Version 1.33

* Added shortcodes for inserting Font Awesome icons.

### Version 1.32

* Added Font Awesome Icons.
* Added option to disable Font Awesome Icons. Enabled by Default.
* Fixed bug with no excerpt showing on isotope posts after updating to 1.31.
* Code clean up.
* Style fix for isotope posts.
* Title should not overflow the content area in the isotope posts.

### Version 1.31

* Added ability to insert excerpt under video and audio templates for isotope shortcode.

### Version 1.30

* Fixed bug with isotope pagination not working on homepage.
* Removed invalid css syntax

### Version 1.28

* Added ability to add custom class to buttons.

### Version 1.27

* Removed non GPL library.

### Version 1.26

* Separated accordion shortcodes when inserting into editor.
* Added option to display title on google map load.

### Version 1.25

* force link in social media icons have http at beginning
* Fixed date format string on isotope posts shortcode.

### Version 1.24

* Changed permission from read to manage_options
* Better code formatting on pages and posts.

### Version 1.22

* Added option for countdown shortcode to control labels.

### Version 1.21

* Better responsiveness logic for isotope posts.
* Minor improvements for image shortcode.

### Version 1.20

* Added image shortcode.
* Appended version number to JS file so new scripts get loaded.

### Version 1.19

* Refreshed isotope display on image load.

### Version 1.18

* Navigation element needed to return string and no echo value.

### Version 1.17

* Added ability to showcase posts of any post type in an isotope / masonry layout.

### Version 1.16

* updated youtube icon

### Version 1.15

* added block display to image anchor elements
* updated icons

### Version 1.14

* Cleaned up code
* Added 2 more image dividers
* more support for different theme options

### Version 1.13

* added rsvp shortcode
* removed focus css acting as hover
* minor css fix for countdown shortcode

### Version 1.12

* cleaned up some code

### Version 1.11

* added countdown shortcode
* added link to testimonial author
* added support for buttons to be positioned left, right, or centered
* added type attribute to pricing box

### Version 1.10

* Fixed style bug for testimonials

### Version 1.9

* Appended version number to css and js files

### Version 1.8

* Email link can be either mailto address or hyperlink

### Version 1.7

* Better facebook and pinterest icons

### Version 1.6

* Fixed bug with social icons displaying even if social link was not given.

### Version 1.5

* prepended mailto to email addresses

### Version 1.4

* Fixed minor JS bugs
* Ran Javascript through jshint
* Fixed minor shortcode button bug in TinyMCE editor

### Version 1.3

* Fixed style bug with columns not changing width on mobile devices

### Version 1.2

* Added banner image.

### Version 1.1

* Plugin released.  Everything is new!
